.infoCardContainer--hero {
  $border-radius: 8px;

  width: auto;
  height: 34.5vw;
  border-radius: $border-radius;

  justify-content: flex-end;

  margin: 0 $padding-sm;

  .infoCardTextContainer {
    width: 60%;
    border-radius: $border-radius 0 0 $border-radius;

    background-color: hsla(0, 0%, 87%, 70%);
    backdrop-filter: blur(2px);
    margin: 0;
    padding: 0.6rem;

    gap: 0.3rem;
  }

  .infoCardHeadline,
  .infoCardSubhead {
    text-align: left;
    color: #1b4b66;
  }

  .infoCardHeadline {
    font-size: 24px;
    line-height: 26px;
    font-weight: 800;
    margin: 0;
  }

  .infoCardSubhead {
    font-size: 0.75rem;
    font-weight: 500;
    line-height: 16px;

    margin: 0;
  }
}

.imageElementLink--category {
  display: grid;
  place-items: center center;
  width: 58px;
  height: 58px;

  // padding-left: $padding-sm;
  background-color: $grey;
  border-radius: $border-radius-sm;
}

/* Hero desktop */
.infoCardHeadline--hero-desktop,
.infoCardSubhead--hero-desktop {
  text-align: left;
}

.infoCardHeadline--hero-desktop {
  font-size: 3.25em;
}

.infoCardSubhead--hero-desktop {
  font-size: 2.12em;
}

/* Hero tablet */

.infoCardTextContainer--hero-tablet {
  width: 80%;
}

/* -------------------------------- Lifestyle ------------------------------- */

.infoCardContainer--lifestyle-info-card {
  // background-attachment: fixed;
  min-height: 38vw;

  border-radius: $border-radius-sm;
  object-fit: cover;
  .paragraph,
  .headingLevel2 {
    // margin-top: 2rem;
    color: #97451f;
  }
  .paragraph {
    margin: 0;

    white-space: pre;
    font-size: 16px;
    font-weight: 800;
    line-height: 20px;
  }

  .headingLevel2 {
    font-weight: 400;
    font-size: 10px;
    line-height: 20px;
  }
}

.infoCardContainer--lifestyle-card {
  height: 28vw;

  background-position: left center;
  border-radius: $border-radius-sm;
  .infoCardHeadline {
    font-size: 1rem;
    font-weight: 800;
    white-space: pre;
  }

  .infoCardCallActionContainer {
    position: relative;
    width: 24px;
    height: 24px;
    // aspect-ratio: 1/1;
    background-color: #fff;
    border-radius: 50%;
    z-index: 1;
    transition: all 0.2s ease-in;

    &::before {
      position: absolute;
      content: "";
      mask: url(assets/icons/arrow-right.svg) no-repeat 50% 50%;
      -webkit-mask: url(assets/icons/arrow-right.svg) no-repeat 50% 50%;
      -webkit-mask-size: 100%;
      mask-size: 100%;
      width: 15px;
      height: 9px;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      z-index: 3;

      &:hover {
        transform: scale(1.1);
        box-shadow: 0px 5px 15px 2px;
      }
    }
  }
}
.infoCardContainer--lifestyle-skincare {
  .infoCardHeadline {
    color: #a53f64;
  }
  .infoCardCallActionContainer::before {
    background-color: #a53f64;
  }
}
.infoCardContainer--lifestyle-facepacks {
  .infoCardHeadline {
    color: #1b4b66;
  }
  .infoCardCallActionContainer::before {
    background-color: #1b4b66;
  }
}

@media (min-width: 1024px) {
  .infoCardContainer--lifestyle-info-card {
    height: 27vw;
  }
}

@media (min-width: 1200px) {
  .imageElement--cover,
  .imageElement--brand-cover {
    transition: transform 0.5s ease-in-out;
  }
  .imageElement--cover:hover,
  .imageElement--brand-cover:hover {
    transform: scale(1.1);
  }

  .headingLevel1--lifestyle-info-card,
  .infoCardHeadline--lifestyle-skincare,
  .infoCardHeadline--lifestyle-facepacks {
    font-size: 3.25rem;
    margin: 0;
  }
}
